package com.clx.performance.dao.impl.customer;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.clx.performance.dao.customer.CustomerComplaintTypeDao;
import com.clx.performance.mapper.customer.CustomerComplaintTypeMapper;
import com.clx.performance.model.customer.CustomerComplaintType;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;

import java.util.Objects;

/**
 * @ClassName CustomerComplaintTypeDaoImpl
 * @Description
 * @Author kavin
 * @Date 2023/12/7 11:25
 * @Version 1.0
 */
@Repository
public class CustomerComplaintTypeDaoImpl extends BaseDaoImpl<CustomerComplaintTypeMapper, CustomerComplaintType, Integer> implements CustomerComplaintTypeDao {
    @Override
    public long countByNameExcludeSelf(String name, Integer id) {
        LambdaQueryWrapper<CustomerComplaintType> query = new LambdaQueryWrapper<>();
        query.eq(CustomerComplaintType :: getName,name);
        if(Objects.nonNull(id)){
            query.ne(CustomerComplaintType :: getId,id);
        }
        return baseMapper.selectCount(query);
    }
}
